<!--

  This file contains a bunch of random thoughts I don't want to lose,
  often resulting from conversation with other people, but that are
  too far removed from what most people can relate to for me to just
  publish them. Sometimes it's convenient to be able to share them,
  though.

  For that reason, if you stumble upon this file without me having
  linked it to you intentionally, feel free to read it but keep the
  sharing to a minimum (though do feel free to share the thoughts
  themselves, of course).

-->
WARNING: This is not intended for a large audience. If you stumble
upon this page by chance, please keep the sharing to a minimum.

TIP: It's always work-in-progress. Things come and go. Or change. Who
knows?

---------

### Three things

*[mid/late 2020]*

All things in the universe take the shape of one of approximately
three things. If you had Hoogle for the entire universe, you'd
probably find that one of them is `fmap`.

There might be a few more, or a few less (or some may have been
deprecated), but you get the idea. I guess [five][] would be a good
number.

[five]: https://principiadiscordia.com/book/23.php

----------------------

### Free energy principle

*[mid/late 2020]*

Karl Friston wrote:

> The free-energy principle says that any self-organizing system that
> is at equilibrium with its environment must minimize its free
> energy.

Or, somewhat paraphrased:

> Any Markov blanket capable of modeling its environment aims to
> reduce its level of surprise by either adapting its model, or
> through other action.

Seems reasonable to me.

### More bizarre universe

*[many years ago]*

Douglas Adams wrote:

> There is a theory which states that if ever anyone discovers exactly
> what the Universe is for and why it is here, it will instantly
> disappear and be replaced by something even more bizarre and
> inexplicable. There is another theory which states that this has
> already happened.

### Alpha decay

*[late 2022]*

Finance people say:

> Alpha Decay is commonly referred to as the loss of prediction power
> of a trading strategy over time. As a consequence, the profitability
> of a strategy tends to gradually decrease. Given enough time, the
> strategy converges to having no superior predictive power and
> returns when compared to a suitable benchmark.

A market is a big optimiser. Any successful trading strategy adds
friction in a place that the optimiser wants to remove.

Alpha decay is unavoidable without changing and adapting the strategy.

### Optimising universe

*[late 2022]*

*(thanks edef for helping me think through this one!)*

Assume that the universe acts as a giant optimiser, and consider that
the three things above are related and specialisations of more generic
ideas:

1. Every delineable entity in the universe (i.e. every *Markov
   blanket*) attempts to reduce its level of surprise (the free energy
   principle).

2. The universe needs replacement (a more bizarre universe) if global
   surprise drops to a minimum[^heat].

3. Without improvement that outpaces the optimiser of the universe,
   any strategy leading to (2) will get eroded by alpha decay long
   before.

4. We don't know if it is possible to outpace the optimiser from
   within.

On a personal note, it seems to me that achieving (2) is likely
undesirable. It probably takes god[^god] a lot of resources to create
an ever more complex universe and this process might be much less
enjoyable than "running" (for lack of a better word) a universe. Under
this assumption, a universe that achieves (2) faster than others might
be a failure, and on a higher level conditions leading to its creation
might be subject to another optimiser.

Or it could be the other way around, but this seems more likely to me
personally.

### Superintelligence

*[late 2022]*

Under the previous assumption, achieving superintelligence is likely a
bad idea for anyone feeling some kind of attachment to *this*
universe.

Or it might be the exact opposite, but I don't think so.

-------------------------------

[^heat]: Note that this is consistent with the heat death of the
    universe.

[^god]: I'm using the word "god" as the best English approximation of
    a concept that different religions and philosophies all attempt to
    approach. I think that for many cognitive purposes, an
    anthropomorphised idea (as in the abrahamic religions) is useful,
    but ideas from some Eastern religions or modern philosophers like
    Bach or Watts are likely more aligned with the "nature of things"
    as such.
